Activity log for bug #217792

Date Who What changed Old value New value Message
2008-04-15 15:44:56 Brit Butler bug added bug
2008-04-15 15:47:16 Brit Butler description Binary package hint: mit-scheme On noticing that MIT-Scheme wouldn't launch from the applications I ran 'mit-scheme --edit' on the command line and received an error stating the 'Largest address does not fit in datum field of object. Allocate less space or re-configure without HEAP_IN_LOW_MEMORY.' 1) Description: Ubuntu 8.04 Release: 8.04 2) mit-scheme: Installed: 7.7.90+20070205-1ubuntu1 Candidate: 7.7.90+20070205-1ubuntu1 Version table: *** 7.7.90+20070205-1ubuntu1 0 500 http://us.archive.ubuntu.com hardy/universe Packages 100 /var/lib/dpkg/status 3) I expected an emacs-like X-Window to open so that I could hack me some Scheme. 4) Instead my computer did nothing. It was sad. A brief google returned little on the problem and passing the argument '--heap 250' or even '--heap 10' did nothing at all. I also tested the upstream Debian Unstable package with no luck, done a purge reinstall, and will soon try the Gutsy and Etch builds. Binary package hint: mit-scheme On noticing that MIT-Scheme wouldn't launch from the applications I ran 'mit-scheme --edit' on the command line and received an error stating the 'Largest address does not fit in datum field of object. Allocate less space or re-configure without HEAP_IN_LOW_MEMORY.' 1) Description: Ubuntu 8.04 Release: 8.04 2) mit-scheme: Installed: 7.7.90+20070205-1ubuntu1 Candidate: 7.7.90+20070205-1ubuntu1 Version table: *** 7.7.90+20070205-1ubuntu1 0 500 http://us.archive.ubuntu.com hardy/universe Packages 100 /var/lib/dpkg/status 3) I expected an emacs-like X-Window to open so that I could hack me some Scheme. 4) Instead my computer did nothing. It was sad. A brief google returned little on the problem and passing the argument '--heap 250' or even '--heap 10' did nothing at all. I also tested the upstream Debian Unstable package with no luck, done a purge reinstall, and will soon try the Gutsy and Etch builds. PS: This has happened systematically on two separate systems for me (a desktop and laptop) after running some of the last week's updates. Of course, those are updates to dozens of packages. MIT-Scheme may well not be the source of the bug.
2008-04-15 16:04:25 Greg Grossmeier mit-scheme: importance Undecided Medium
2008-04-15 16:04:25 Greg Grossmeier mit-scheme: status New Confirmed
2008-04-30 13:08:10 Greg Grossmeier mit-scheme: status Confirmed Triaged
2009-03-12 04:00:06 Launchpad Janitor mit-scheme: status Triaged Fix Released
2009-03-31 07:02:04 Martin Pitt tags verification-needed
2009-04-01 09:53:00 Martin Pitt bug task added mit-scheme (Ubuntu Intrepid)
2009-04-01 09:53:11 Martin Pitt mit-scheme (Ubuntu Intrepid): status New Fix Committed
2009-04-15 13:53:55 Launchpad Janitor mit-scheme (Ubuntu Intrepid): status Fix Committed Fix Released
2009-04-15 14:14:56 Brit Butler removed subscriber Brit Butler
2009-04-15 16:51:49 nitishp removed subscriber nitishp
2009-08-22 16:23:13 Launchpad Janitor branch linked lp:ubuntu/karmic/mit-scheme
2009-08-22 16:31:06 Launchpad Janitor branch linked lp:ubuntu/intrepid-updates/mit-scheme